-- Module      : Network.AWS.CloudWatch
-- Copyright   : (c) 2013-2014 Brendan Hay <brendan.g.hay@gmail.com>
-- License     : This Source Code Form is subject to the terms of
--               the Mozilla Public License, v. 2.0.
--               A copy of the MPL can be found in the LICENSE file or
--               you can obtain it at http://mozilla.org/MPL/2.0/.
-- Maintainer  : Brendan Hay <brendan.g.hay@gmail.com>
-- Stability   : experimental
-- Portability : non-portable (GHC extensions)
--
-- Derived from AWS service descriptions, licensed under Apache 2.0.

-- | Amazon CloudWatch is a monitoring service for AWS cloud resources and the
-- applications you run on AWS. You can use Amazon CloudWatch to collect and
-- track metrics, collect and monitor log files, and set alarms. Amazon
-- CloudWatch can monitor AWS resources such as Amazon EC2 instances, Amazon
-- DynamoDB tables, and Amazon RDS DB instances, as well as custom metrics
-- generated by your applications and services, and any log files your
-- applications generate. You can use Amazon CloudWatch to gain system-wide
-- visibility into resource utilization, application performance, and
-- operational health. You can use these insights to react and keep your
-- application running smoothly.
module Network.AWS.CloudWatch
    ( module Network.AWS.CloudWatch.DeleteAlarms
    , module Network.AWS.CloudWatch.DescribeAlarmHistory
    , module Network.AWS.CloudWatch.DescribeAlarms
    , module Network.AWS.CloudWatch.DescribeAlarmsForMetric
    , module Network.AWS.CloudWatch.DisableAlarmActions
    , module Network.AWS.CloudWatch.EnableAlarmActions
    , module Network.AWS.CloudWatch.GetMetricStatistics
    , module Network.AWS.CloudWatch.ListMetrics
    , module Network.AWS.CloudWatch.PutMetricAlarm
    , module Network.AWS.CloudWatch.PutMetricData
    , module Network.AWS.CloudWatch.SetAlarmState
    , module Network.AWS.CloudWatch.Types
    ) where

import Network.AWS.CloudWatch.DeleteAlarms
import Network.AWS.CloudWatch.DescribeAlarmHistory
import Network.AWS.CloudWatch.DescribeAlarms
import Network.AWS.CloudWatch.DescribeAlarmsForMetric
import Network.AWS.CloudWatch.DisableAlarmActions
import Network.AWS.CloudWatch.EnableAlarmActions
import Network.AWS.CloudWatch.GetMetricStatistics
import Network.AWS.CloudWatch.ListMetrics
import Network.AWS.CloudWatch.PutMetricAlarm
import Network.AWS.CloudWatch.PutMetricData
import Network.AWS.CloudWatch.SetAlarmState
import Network.AWS.CloudWatch.Types
